Name:		openvas-scanner
Version:	5.0.7
Release:	%mkrel 2
Summary: 	Scanner module for OpenVAS
Group:		Security
License:	GPLv2+
Url:		http://www.openvas.org
Source:		http://wald.intevation.org/frs/download.php/561/%name-%version.tar.gz
Source2:	openvassd.conf
Source3:	openvas-scanner.logrotate
Source4:	openvas-scanner.sysconfig
Source5:	openvas-nvt-sync-cron
Source6:	openvas-nvt-sync-cronjob
Source7:	openvas-scanner.service
# Put certs to /etc/pki/tls
Patch1:		openvas-scanner-4.0.1-pki.patch
Patch2:		openvas-scanner-5.0.5-mkcertclient-man-page.patch
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(gnutls) >= 2.8
BuildRequires: pkgconfig(libopenvas_base) >= 8.0.0
BuildRequires:	pcap-devel
BuildRequires:	gpgme-devel
BuildRequires:	cmake
Requires:	    rsync
Requires:	    wget
Requires:	    curl
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
This is the scanner module for the Open Vulnerability Assessment System
(OpenVAS).

%prep
%setup -q
%patch1 -p 1 -b .pkipath
%patch2 -p 1 -b .mkcert-client

sed -i -e 's#-Werror##' `grep -rl Werror *|grep CMakeLists.txt`

%build
%serverbuild
%cmake -DLOCALSTATEDIR=%{_var}
%make

%install
%makeinstall_std -C build

# initial configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/openvas
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/openvas/openvassd.conf
perl -pi \
    -e 's:\@\@OPENVAS_PLUGINS\@\@:%{_var}/lib/openvas/plugins:g;' \
	-e 's:\@\@OPENVAS_CACHE\@\@:%{_var}/cache/openvas:g;'         \
	-e 's:\@\@OPENVAS_LOGDIR\@\@:%{_var}/log/openvas:g;'          \
	-e 's:\@\@OPENVAS_SYSCONF\@\@:%{_sysconfdir}/openvas:g;'      \
    %{buildroot}%{_sysconfdir}/openvas/openvassd.conf

install -d -m 755 %{buildroot}%{_var}/log/openvas
install -d -m 755 %{buildroot}%{_var}/cache/openvas

# systemd service
install -D -m 644 %{SOURCE7} %{buildroot}%{_unitdir}/openvas-scanner.service

# log rotation stuff
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/openvas-scanner

# sysconfig configuration
install -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/openvas-scanner

# cron job to periodically update plugins
install -D -m 755 %{SOURCE5} %{buildroot}%{_sbindir}
install -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/cron.d/openvas-sync-plugins

%post
%_create_ssl_certificate openvas

%_post_service openvas-scanner

%preun
%_preun_service openvas-scanner

%files
%doc %{_docdir}/%{name}
%dir %{_sysconfdir}/openvas
%config(noreplace) %{_sysconfdir}/openvas/openvassd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/openvas-scanner
%config(noreplace) %{_sysconfdir}/cron.d/openvas-sync-plugins
%config(noreplace) %{_sysconfdir}/logrotate.d/openvas-scanner
%{_unitdir}/openvas-scanner.service
%{_sbindir}/openvas-mkcert
%{_sbindir}/openvassd
%{_sbindir}/openvas-nvt-sync
%{_sbindir}/greenbone-nvt-sync
%{_sbindir}/openvas-nvt-sync-cron
%{_bindir}/openvas-mkcert-client
%{_mandir}/man1/openvas-mkcert-client.1.*
%{_mandir}/man8/openvas-mkcert.8.*
%{_mandir}/man8/openvassd.8.*
%{_mandir}/man8/openvas-nvt-sync.8.*
%{_mandir}/man8/greenbone-nvt-sync.8*
%dir %{_var}/lib/openvas
%dir %{_var}/lib/openvas/plugins
%dir %{_var}/cache/openvas
%dir %{_var}/log/openvas


%changelog
* Tue Nov 08 2016 guillomovitch <guillomovitch> 5.0.7-2.mga6
+ Revision: 1065933
- fix multiple path issues in configuration file (#14938)

* Thu Sep 29 2016 guillomovitch <guillomovitch> 5.0.7-1.mga6
+ Revision: 1057549
- new version 5.0.7

* Fri Feb 19 2016 guillomovitch <guillomovitch> 5.0.5-1.mga6
+ Revision: 967618
- new version 5.0.5

* Mon Jan 11 2016 luigiwalser <luigiwalser> 5.0.4-3.mga6
+ Revision: 921829
- rebuild for gnutls

* Mon Sep 14 2015 fwang <fwang> 5.0.4-2.mga6
+ Revision: 879161
- rebuild for new libgcrypt

* Mon Jul 27 2015 guillomovitch <guillomovitch> 5.0.4-1.mga6
+ Revision: 858320
- new version 5.0.4

* Wed Jun 24 2015 guillomovitch <guillomovitch> 5.0.3-1.mga6
+ Revision: 842100
- new version 5.0.3

* Fri Dec 05 2014 guillomovitch <guillomovitch> 4.0.5-1.mga5
+ Revision: 801592
- new version 4.0.5

* Sun Nov 09 2014 guillomovitch <guillomovitch> 4.0.4-1.mga5
+ Revision: 796127
- new version 4.0.4

* Wed Oct 15 2014 umeabot <umeabot> 4.0.3-2.mga5
+ Revision: 743499
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 guillomovitch <guillomovitch> 4.0.3-1.mga5
+ Revision: 737335
- new version

* Tue Sep 16 2014 umeabot <umeabot> 4.0.2-2.mga5
+ Revision: 683258
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 guillomovitch <guillomovitch> 4.0.2-1.mga5
+ Revision: 673234
- new version 4.0.2

* Thu Jun 19 2014 guillomovitch <guillomovitch> 4.0.1-2.mga5
+ Revision: 638128
- new version 4.0.1

* Sat Oct 19 2013 umeabot <umeabot> 3.4.0-2.mga4
+ Revision: 525635
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 fwang <fwang> 3.4.0-1.mga4
+ Revision: 433911
- new version 3.4.0

* Sun Jan 13 2013 umeabot <umeabot> 3.3.1-2.mga3
+ Revision: 362180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 guillomovitch <guillomovitch> 3.3.1-1.mga3
+ Revision: 307494
- drop sysinit support
- new version
- switch to Security group

* Sat Apr 28 2012 tmb <tmb> 3.2.5-4.mga3
+ Revision: 233830
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 3.2.5-3.mga2
+ Revision: 232356
- Fix systemd support

* Wed Apr 18 2012 guillomovitch <guillomovitch> 3.2.5-2.mga2
+ Revision: 231459
- fix linking
- systemd support

* Sun Nov 13 2011 guillomovitch <guillomovitch> 3.2.5-1.mga2
+ Revision: 167276
- new version
- imported package openvas-scanner

  + fwang <fwang>
    - rebuild for new gnutls

